package com.ruoyi.szxc.service.impl;

import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.szxc.domain.SzxcSbzl;
import com.ruoyi.szxc.mapper.SzxcSbzlMapper;
import com.ruoyi.szxc.service.ISzxcSbzlService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 上报资料Service业务层处理
 * 
 * @author hs
 * @date 2024-03-20
 */
@Service
public class SzxcSbzlServiceImpl implements ISzxcSbzlService 
{
    @Autowired
    private SzxcSbzlMapper szxcSbzlMapper;

    /**
     * 查询上报资料
     * 
     * @param id 上报资料主键
     * @return 上报资料
     */
    @Override
    public SzxcSbzl selectSzxcSbzlById(Long id)
    {
        return szxcSbzlMapper.selectSzxcSbzlById(id);
    }

    /**
     * 查询上报资料列表
     * 
     * @param szxcSbzl 上报资料
     * @return 上报资料
     */
    @Override
    @DataScope(deptAlias = "s")
    public List<SzxcSbzl> selectSzxcSbzlList(SzxcSbzl szxcSbzl)
    {
        return szxcSbzlMapper.selectSzxcSbzlList(szxcSbzl);
    }

    /**
     * 新增上报资料
     * 
     * @param szxcSbzl 上报资料
     * @return 结果
     */
    @Override
    public int insertSzxcSbzl(SzxcSbzl szxcSbzl)
    {
        szxcSbzl.setCreateTime(DateUtils.getNowDate());
        return szxcSbzlMapper.insertSzxcSbzl(szxcSbzl);
    }

    /**
     * 修改上报资料
     * 
     * @param szxcSbzl 上报资料
     * @return 结果
     */
    @Override
    public int updateSzxcSbzl(SzxcSbzl szxcSbzl)
    {
        szxcSbzl.setUpdateTime(DateUtils.getNowDate());
        return szxcSbzlMapper.updateSzxcSbzl(szxcSbzl);
    }

    /**
     * 批量删除上报资料
     * 
     * @param ids 需要删除的上报资料主键
     * @return 结果
     */
    @Override
    public int deleteSzxcSbzlByIds(Long[] ids)
    {
        return szxcSbzlMapper.deleteSzxcSbzlByIds(ids);
    }

    /**
     * 删除上报资料信息
     * 
     * @param id 上报资料主键
     * @return 结果
     */
    @Override
    public int deleteSzxcSbzlById(Long id)
    {
        return szxcSbzlMapper.deleteSzxcSbzlById(id);
    }
}
